#ifndef INCLUDE_PBB_H
#define INCLUDE_PBB_H
/* ----------------------------------------------------------------------------
 * pbb.h
 * prototypes and definitions for pbbuttons library.
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#include "pbbipc.h"
#include "pbberrno.h"
#include "pbbmisc.h"
#include "pbbtaglist.h"
#include "pbbtags.h"

#define MAXPROTECTEDTAGS 20

/* --- private module data structure of libpbbuttons --- */
struct libbase {
	long serverport;
	long msgport;
	struct tagitem ptags[MAXPROTECTEDTAGS];
	int mode;				/* client or server */
	int ptagcount;
	int client[MAXCLIENTS];	/* IPC ids of registrated cilent message ports */
	int count;				/* number of entries in the client array */
	int child;                        /* =1 then this process has been detached */
};

/* prototypes */
void init_libpbb ();          /* main initialisation function, call before using any other function */

#endif    /* INCLUDE_PBB_H */
