#ifndef INCLUDE_PBBTAGLIST_H
#define INCLUDE_PBBTAGLIST_H
/* ----------------------------------------------------------------------------
 * pbbtaglist.h
 * prototypes and definitions for pbbtaglist.c.
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#define TAG_END			0
#define TAG_SKIP			1

#define FLG_STRING		0x8000
#define FLG_PRIVATE		0x4000
#define FLG_ERROR		0x2000

#define MASK_ERROR		~FLG_ERROR

struct tagitem {
	unsigned long tag;
	unsigned long data;
};

/* prototypes */
long tagfind (struct tagitem *taglist, long tag, long val);
void tagskip (struct tagitem *taglist, long tag);
int tagerror (struct tagitem *tag, int error);
void taglist_init (struct tagitem *taglist);
void taglist_add (struct tagitem *taglist, long tag, long val);

#endif    /* INCLUDE_PBBTAGLIST_H */
