#ifndef INCLUDE_TAGS_H
#define INCLUDE_TAGS_H
/* ----------------------------------------------------------------------------
 * tags.h
 * definitions of TAGS, functions and structures are defined in
 * support.h and support.c
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#include "pbbtaglist.h"

/* Pri0 Tags */
#define MOD_SYSTEM				1 << 16
#define TAG_KEYCODE				MOD_SYSTEM | FLG_PRIVATE | 1
#define TAG_KEYREPEAT			MOD_SYSTEM | FLG_PRIVATE | 2
#define TAG_MODIFIER				MOD_SYSTEM | FLG_PRIVATE | 3
#define TAG_MOUSEBUTTONS		MOD_SYSTEM | FLG_PRIVATE | 4
#define TAG_MOUSERELX			MOD_SYSTEM | FLG_PRIVATE | 5
#define TAG_MOUSERELY			MOD_SYSTEM | FLG_PRIVATE | 6
#define TAG_MOUSEWHEEL			MOD_SYSTEM | FLG_PRIVATE | 7

/* Pri1 tags */
#define MOD_LAPTOP				2 << 16
#define TAG_BACKLIGHTMAX		MOD_LAPTOP | FLG_PRIVATE | 1
#define TAG_BACKLIGHTLEVEL		MOD_LAPTOP | FLG_PRIVATE | 2
#define TAG_COVERSTATUS			MOD_LAPTOP | 3
#define TAG_TIMEREMAINING		MOD_LAPTOP | 4
#define TAG_POWERSOURCE		MOD_LAPTOP | 5
#define TAG_REQUESTSLEEP		MOD_LAPTOP | FLG_PRIVATE | 6
#define TAG_SLEEPSUPPORTED		MOD_LAPTOP | 7
#define TAG_PREPAREFORSLEEP	MOD_LAPTOP | FLG_PRIVATE | 8
#define TAG_WAKEUPFROMSLEEP	MOD_LAPTOP | FLG_PRIVATE | 9

#define MOD_PMAC				3 << 16
#define TAG_PMUDEVICE			MOD_PMAC | FLG_STRING | 1
#define TAG_ADBDEVICE			MOD_PMAC | FLG_STRING | 2
#define TAG_TPMODEUPKEY		MOD_PMAC | 3
#define TAG_TPMODEUPMOD		MOD_PMAC | 4
#define TAG_TPMODEDOWNKEY		MOD_PMAC | 5
#define TAG_TPMODEDOWNMOD		MOD_PMAC | 6
#define TAG_TPMODE				MOD_PMAC | 7
#define TAG_KBDMODE				MOD_PMAC | 8
#define TAG_REPLACEPMUD			MOD_PMAC | 9

/* Pri2 Tags */
#define MOD_DISPLAY				4 << 16
#define TAG_BRIGHTNESSUPKEY		MOD_DISPLAY | 1
#define TAG_BRIGHTNESSUPMOD	MOD_DISPLAY | 2
#define TAG_BRIGHTNESSDOWNKEY	MOD_DISPLAY | 3
#define TAG_BRIGHTNESSDOWNMOD	MOD_DISPLAY | 4
#define TAG_BRIGHTNESS			MOD_DISPLAY | 5
#define TAG_BRIGHTNESSOP		MOD_DISPLAY | 6
#define TAG_BRIGHTNESSMAX		MOD_DISPLAY | 7
#define TAG_FRAMEBUFFERDEVICE	MOD_DISPLAY | FLG_STRING | 8
#define TAG_BLANKFRAMEBUFFER	MOD_DISPLAY | 9

#define MOD_MIXER				5 << 16
#define TAG_MIXERDEVICE			MOD_MIXER | FLG_STRING | 1
#define TAG_VOLUMEUPKEY			MOD_MIXER | 2
#define TAG_VOLUMEUPMOD		MOD_MIXER | 3
#define TAG_VOLUMEDOWNKEY		MOD_MIXER | 4
#define TAG_VOLUMEDOWNMOD		MOD_MIXER | 5
#define TAG_MUTEKEY				MOD_MIXER | 6
#define TAG_MUTEMOD				MOD_MIXER | 7
#define TAG_MIXERINITDELAY		MOD_MIXER | 8
#define TAG_VOLUME				MOD_MIXER | 9
#define TAG_MUTE					MOD_MIXER | 10

#define MOD_CDROM				6 << 16
#define TAG_CDROMDEVICE			MOD_CDROM | FLG_STRING | 1
#define TAG_EJECTCDKEY			MOD_CDROM | 2
#define TAG_EJECTCDMOD			MOD_CDROM | 3
#define TAG_EJECTCDKEYDELAY		MOD_CDROM | 4
#define TAG_EJECTCD				MOD_CDROM | 5

#define MOD_POWER				7 << 16
#define TAG_SCRIPTBATCRITICAL	MOD_POWER | FLG_STRING | 1
#define TAG_SCRIPTPROFCHANGED	MOD_POWER | FLG_STRING | 2
#define TAG_SCRIPTHDSETUP		MOD_POWER | FLG_STRING | 3
#define TAG_SLEEPKEY				MOD_POWER | 7
#define TAG_SLEEPMOD			MOD_POWER | 8
#define TAG_SLEEPKEYDELAY		MOD_POWER | 9
#define TAG_GOTOSLEEP			MOD_POWER | 10
#define TAG_BWLFIRST				MOD_POWER | 11
#define TAG_BWLSECOND			MOD_POWER | 12
#define TAG_BWLLAST				MOD_POWER | 13
#define TAG_CURRENTBWL			MOD_POWER | 14
#define TAG_SLEEPINSECONDS		MOD_POWER | 15
#define TAG_CPULOADSLEEPLOCK	MOD_POWER | 16
#define TAG_CPULOADMIN			MOD_POWER | 17
#define TAG_CPULOADPERIOD		MOD_POWER | 18
#define TAG_NETLOADSLEEPLOCK	MOD_POWER | 19
#define TAG_NETLOADMIN			MOD_POWER | 20
#define TAG_NETLOADPERIOD		MOD_POWER | 21
#define TAG_NETLOADDEV			MOD_POWER | FLG_STRING | 22
#define TAG_ONBATTCRITICALSLEEP	MOD_POWER | 23

#define TAG_ONACSLEEP			MOD_POWER | 30
#define TAG_ONACDIM     			MOD_POWER | 31
#define TAG_ONACBLANK			MOD_POWER | 32
#define TAG_ONACTIMESLEEP		MOD_POWER | 33
#define TAG_ONACTIMEDIM			MOD_POWER | 34
#define TAG_ONACTIMEHDOFF		MOD_POWER | 35
#define TAG_ONBATTERYSLEEP		MOD_POWER | 40
#define TAG_ONBATTERYDIM     		MOD_POWER | 41
#define TAG_ONBATTERYBLANK		MOD_POWER | 42
#define TAG_ONBATTERYTIMESLEEP	MOD_POWER | 43
#define TAG_ONBATTERYTIMEDIM	MOD_POWER | 44
#define TAG_ONBATTERYTIMEHDOFF	MOD_POWER | 45
#endif    /* INCLUDE_TAGS_H */
